LIBRARY ieee ;
USE ieee.std_logic_1164.all;

entity testbench is
end testbench;

architecture behavioral of testbench is
  signal clk : std_logic := '0';

  signal a, b : std_logic_vector(6 downto 0);

  component system
  port (
    clk : in std_logic;           -- external clock

    PB_D0, PB_D1, PB_D2, PB_D3, PB_D4, PB_D5, PB_D6, PB_D7 : out std_logic;

    PB_D8, PB_D9, PB_D10, PB_D11,
    PB_D12, PB_D13, PB_D14, PB_D15 : out std_logic
    );

  end component;
begin

  dut: system
    port map (
      clk       => clk,
      PB_D0     => a(0),
      PB_D1     => a(1),
      PB_D2     => a(2),
      PB_D3     => a(3),
      PB_D4     => a(4),
      PB_D5     => a(5),
      PB_D6     => a(6),
      PB_D8     => b(0),
      PB_D9     => b(1),
      PB_D10    => b(2),
      PB_D11    => b(3),
      PB_D12    => b(4),
      PB_D13    => b(5),
      PB_D14    => b(6)
      );

  clkgen : process
  begin
    wait for 20 ns;
    clk <= not clk;
  end process;
  
end behavioral;
